VERSION 5.00
Begin VB.Form PersonnelMenu 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Personnel Manager"
   ClientHeight    =   90
   ClientLeft      =   10305
   ClientTop       =   6690
   ClientWidth     =   3930
   ControlBox      =   0   'False
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   90
   ScaleWidth      =   3930
   Begin VB.DirListBox Dir1 
      Height          =   540
      Left            =   2400
      TabIndex        =   1
      Top             =   600
      Width           =   615
   End
   Begin VB.TextBox txtThisPath 
      Height          =   495
      Left            =   1080
      TabIndex        =   0
      Text            =   "Text1"
      Top             =   600
      Width           =   735
   End
   Begin VB.Menu mnuPersonnelData 
      Caption         =   "Personnel"
      WindowList      =   -1  'True
      Begin VB.Menu mnuPersonnelRecords 
         Caption         =   "Personnel Records"
      End
      Begin VB.Menu mnuDepartments 
         Caption         =   "Department Codes"
      End
   End
   Begin VB.Menu mnuAttendance 
      Caption         =   "Attendance"
      Begin VB.Menu mnuAttendanceRecords 
         Caption         =   "Attendance Records"
      End
      Begin VB.Menu mnuAttendanceDetail 
         Caption         =   "Attendance Detail"
      End
      Begin VB.Menu mnuAttendanceCodes 
         Caption         =   "Attendance Codes"
      End
      Begin VB.Menu mnuStandardComments 
         Caption         =   "Standard Comments"
      End
   End
   Begin VB.Menu mnuUtilities 
      Caption         =   "Utilities"
      Begin VB.Menu mnuAbout 
         Caption         =   "About"
      End
      Begin VB.Menu mnyYears 
         Caption         =   "Year Setup"
      End
      Begin VB.Menu mnuHelpEdit 
         Caption         =   "Help Edit"
      End
      Begin VB.Menu mnuDataBaseRepair 
         Caption         =   "Databases Repair"
      End
      Begin VB.Menu mnuSetDataBasePath 
         Caption         =   "Set Database Path"
      End
      Begin VB.Menu mnuDatabaseLockCharacter 
         Caption         =   "Set Database Lock Character"
      End
      Begin VB.Menu mnuClearDatabaseLocks 
         Caption         =   "Clear Database Locks"
      End
   End
   Begin VB.Menu mnuExit 
      Caption         =   "Exit"
   End
End
Attribute VB_Name = "PersonnelMenu"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub Form_load()
  txtThisPath.Text = Dir1.Path
End Sub


Private Sub mnuAbout_Click()
  Message$ = ""
  About$ = ""
  eol = Chr(10) & Chr(13)
  Open txtThisPath.Text & "\Personnel.vbp" For Input As #2
  Do While Not EOF(2)
    Line Input #2, ThisLine$
    If InStr(ThisLine$, "Title") > 0 Then
      About$ = "This Software " & ThisLine$
    End If
    If InStr(ThisLine$, "VersionComments") > 0 Then
      Message$ = Message$ & ThisLine$ & eol
    End If
    If InStr(ThisLine$, "VersionCompanyName") > 0 Then
      Message$ = Message$ & ThisLine$ & eol
    End If
    If InStr(ThisLine$, "MajorVer") > 0 Then
      Message$ = Message$ & ThisLine$ & eol
    End If
    If InStr(ThisLine$, "MinorVer") > 0 Then
      Message$ = Message$ & ThisLine$ & eol
    End If
    If InStr(ThisLine$, "RevisionVer") > 0 Then
      Message$ = Message$ & ThisLine$ & eol
    End If
    If InStr(ThisLine$, "VersionDescription") > 0 Then
      Message$ = Message$ & ThisLine$ & eol
    End If
    If InStr(ThisLine$, "VersionLegalCopyright") > 0 Then
      Message$ = Message$ & ThisLine$ & eol
    End If
    If InStr(ThisLine$, "VersionLegalTrademarks") > 0 Then
      Message$ = Message$ & ThisLine$ & eol
    End If
    If InStr(ThisLine$, "VersionProductName") > 0 Then
      Message$ = Message$ & ThisLine$ & eol
    End If
    If InStr(ThisLine$, "VersionFileDescription") > 0 Then
      Message$ = Message$ & ThisLine$ & eol
    End If
  Loop
  Close #2
  prompt$ = ""
  reply = MsgBox(Message$, vbOKOnly, About$)
End Sub

Private Sub mnuClearDatabaseLocks_Click()
  PersonnelClearLocks.Show
End Sub

Private Sub mnuCompactDatabase_Click()
  PersonnelDatabaseCompact.Show
End Sub

Private Sub mnuDatabaseLockCharacter_Click()
  SetPersonnelDatabaseLockNumber.Show
End Sub

Private Sub mnuDataBaseRepair_Click()
  PersonnelDatabaseRepair.Show
End Sub

Private Sub mnuExit_Click()
  If PersonnelMenu.mnuAttendanceRecords.Enabled = True = False Then
    reply$ = MsgBox("Please close Attendance Record", vbOKExclamation, "Open Application")
    Exit Sub
  End If
  If PersonnelMenu.mnuPersonnelRecords.Enabled = True = False Then
    reply$ = MsgBox("Please close Personnel Records", vbOKExclamation, "Open Application")
    Exit Sub
  End If
  End
End Sub

Private Sub mnuHelpEdit_Click()
  PersonnelDatabaseHelpEdit.Show
End Sub

Private Sub mnuAttendanceCodes_Click()
  AttendanceCodes.Show
End Sub

Private Sub mnuAttendanceDetail_Click()
  AttendanceDisp.Show
End Sub

Private Sub mnuAttendanceRecords_Click()
  mnuAttendanceRecords.Enabled = False
  mnuPersonnelRecords.Enabled = False
  Attendance.Show
End Sub

Private Sub mnuDepartments_Click()
  Departments.Show
End Sub

Private Sub mnuPersonnelRecords_Click()
  mnuPersonnelRecords.Enabled = False
  mnuAttendanceRecords.Enabled = False
  Personnel.Show
End Sub

Private Sub mnuSetDataBasePath_Click()
  SetDatabasePath.Show
End Sub

Private Sub mnuStandardComments_Click()
  StandardComments.Show
End Sub

Private Sub mnyYears_Click()
  YearSetup.Show
End Sub
